# Join Enterprise Workspaces POST /api/v1/enterprises/join/ Content-Type: application/json Allows a user to join one or more workspaces associated with their email domain. The user will be added to the workspaces with the configured default role. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/enterprises/join-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/enterprises/join/: post: operationId: join-create summary: Join Enterprise Workspaces description: >- Allows a user to join one or more workspaces associated with their email domain. The user will be added to the workspaces with the configured default role. tags: - subpackage_enterprises responses: '200': description: Successfully processed join request content: application/json: schema: $ref: '#/components/schemas/enterprises_joinCreate_Response_200' '400': description: Validation error content: application/json: schema: description: Any type '403': description: User email not verified content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/JoinEnterpriseWorkspaces' components: schemas: JoinEnterpriseWorkspaces: type: object properties: workspace_ids: type: array items: type: integer required: - workspace_ids title: JoinEnterpriseWorkspaces enterprises_joinCreate_Response_200: type: object properties: {} description: Empty response body title: enterprises_joinCreate_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/enterprises/join/" payload = { "workspace_ids": [1024, 2048] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/enterprises/join/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspace_ids":[1024,2048]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/enterprises/join/" payload := strings.NewReader("{\n \"workspace_ids\": [\n 1024,\n 2048\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/enterprises/join/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"workspace_ids\": [\n 1024,\n 2048\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/enterprises/join/") .header("Content-Type", "application/json") .body("{\n \"workspace_ids\": [\n 1024,\n 2048\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/enterprises/join/', [ 'body' => '{ "workspace_ids": [ 1024, 2048 ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/enterprises/join/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"workspace_ids\": [\n 1024,\n 2048\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["workspace_ids": [1024, 2048]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/enterprises/join/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```